/* COPYRIGHT NOTICE
 *
 * This program comes from "The X Toolkit Cookbook" by Paul E. Kimball
 * c. 1995 Prentice Hall.
 *
 *  HDR1: Example 4-3 - athena.c - hello.c using Xaw widgets
 *  
 *  HDR2: Chapter 4, page 63
 *
 * This software is provided free of charge and may be freely distributed
 * in its original form, so long as this notice appears unchanged in each 
 * copy.  This software is supplied "as-is" and is not covered by warrantee
 * of any kind, express or implied.  
 *
 * This and other examples are available by anonymous ftp from
 * ftp.netcom.com, directory "pub/pk/pkimball/cookbook".
 *
 *  1/15/95	Paul Kimball - pkimball@netcom.com
 */

/****** Include required header files ***************************/

#include <X11/Intrinsic.h>     /* The Intrinsics                */
#include <X11/Shell.h>         /* Shell widgets                 */
#include <X11/StringDefs.h>    /* Resource symbols              */
#include <X11/Xaw/Box.h>       /* Xaw box widget                */
#include <X11/Xaw/Command.h>   /* Xaw button widget             */

/****** Declare global variables ********************************/

XtAppContext  context;                        /* Appl context   */
Widget     toplevel, manager, exit_button;    /* Widget tree    */
void       ExitCallback();                    /* Callback       */

/****** Start of main() ******************************************/

main(argc,argv)
int  argc; 
char **argv; 
{

/*  Init. toolkit, application context and application shell     */

 toplevel = XtAppInitialize( &context, "Hello", 
     NULL, 0, &argc, argv, NULL, NULL, 0);

/******* Create widget tree, bind callbacks  *********************/

 manager = XtCreateManagedWidget( "manager",
     boxWidgetClass, toplevel, NULL, 0);

 exit_button = XtCreateManagedWidget( "exitButton",
     commandWidgetClass, manager, NULL, 0);
 XtAddCallback( exit_button, XtNcallback, ExitCallback, NULL );

/****** Realize widget tree and start event loop *****************/

 XtRealizeWidget(toplevel);
 XtAppMainLoop(context); 
}

/****** Callback Routines ****************************************/

void ExitCallback(w, client_data, call_data)
Widget   w;              /* Input argument - widget that called */
XtPointer client_data;   /* Input argument - application data   */
XtPointer call_data;     /* Input argument - call-specific data */
{
 exit();                 /* Doesn't do much - only exits */
}
