/* COPYRIGHT NOTICE
 *
 * This program comes from "The X Toolkit Cookbook" by Paul E. Kimball
 * c. 1995 Prentice Hall.
 *
 *  HDR1: Example 5-1 - panel.c - Setting initial resources
 *  
 *  HDR2: Chapter 5, page 75
 *
 * This software is provided free of charge and may be freely distributed
 * in its original form, so long as this notice appears unchanged in each 
 * copy.  This software is supplied "as-is" and is not covered by warrantee
 * of any kind, express or implied.  
 *
 * This and other examples are available by anonymous ftp from
 * ftp.netcom.com, directory "pub/pk/pkimball/cookbook".
 *
 *  1/15/95	Paul Kimball - pkimball@netcom.com
 */

/*** Include Required Header Files  *********************************/

#include <X11/Intrinsic.h>          /* The Intrinsics               */
#include <X11/keysym.h>             /* X keysyms                    */
#include <Xm/Xm.h>                  /* Motif resource symbols       */
#include <Xm/BulletinB.h>           /* Motif XmBulletinBoard widget */
#include <Xm/Label.h>               /* Motif XmLabel widget         */
#include <Xm/Text.h>                /* Motif XmText widget          */
#include <Xm/PushB.h>               /* Motif XmPushButton widget    */

/***** Declare Global Variables  ************************************/

XtAppContext context;               /* Application context          */
Widget       toplevel, manager,     /* Widget tree                  */
             top_label, text_area,
             first_button, second_button;

Arg       arglist[10];              /* An ArgList of ten Args       */
int       i;                        /* An array index               */

/***** Main Program  ***********************/

main(argc,argv)
int  argc;
char **argv;
{


/******************************************************************
 *  Init. Toolkit, Application Context and Application Shell      */

/* Set application title     */

 i = 0;
 XtSetArg(arglist[i], XmNtitle, "Control Panel"); i++; 

 toplevel = XtAppInitialize (         /* Create application shell  */
     &context, "Panel",               /* Application class         */
     NULL, 0,                         /* options, num_options      */
     &argc, argv,                     /* Command line              */
     NULL,                            /* Fallback resources        */
     arglist, i );                    /* Initial resources         */

/*****  Create widget tree, bind callbacks *****/


 i = 0;                                     /* Init ArgList     */
 manager = XtCreateManagedWidget(           /* XmBulletinBoard */
     "manager", xmBulletinBoardWidgetClass,
     toplevel, arglist, i);


 i = 0;                                     /* Init ArgList     */
 XtSetArg(arglist[i], XmNx, 10); i++;       /* Set X position   */
 XtSetArg(arglist[i], XmNy, 10); i++;       /* Set Y position   */
 top_label = XtCreateManagedWidget(         /* XmLabel          */
     "topLabel", xmLabelWidgetClass,
     manager, arglist, i);

 i = 0;                                     /* Init ArgList     */
 XtSetArg(arglist[i], XmNx, 10); i++;       /* Set X position   */
 XtSetArg(arglist[i], XmNy, 40); i++;       /* Set Y position   */
 XtSetArg(arglist[i], XmNvalue,             /* Initial value of */
     "Type text here"); i++;                /* editable text    */
 text_area = XtCreateManagedWidget(         /* XmText           */
     "textArea", xmTextWidgetClass,
     manager, arglist, i);

 i = 0;                                     /* Init ArgList     */
 XtSetArg(arglist[i], XmNx, 10); i++;       /* Set X position   */
 XtSetArg(arglist[i], XmNy, 90); i++;       /* Set Y position   */
 XtSetArg(arglist[i], XmNwidth, 100); i++;  /* Set width        */
 first_button = XtCreateManagedWidget(      /* XmPushButton     */
     "firstButton", xmPushButtonWidgetClass,
     manager, arglist, i);

 i = 0;                                     /* Init ArgList     */
 XtSetArg(arglist[i], XmNx, 120); i++;      /* Set X position   */
 XtSetArg(arglist[i], XmNy, 90); i++;       /* Set Y position   */
 XtSetArg(arglist[i], XmNwidth, 100); i++;  /* Set width        */
 second_button = XtCreateManagedWidget(     /* XmPushButton     */
     "secondButton", xmPushButtonWidgetClass,
     manager, arglist, i);

/***** Manage, Realize initial Widget Tree ***/

 XtRealizeWidget(toplevel);

/***** Start Event Parsing Loop **************/

 XtAppMainLoop(context);
}


/***** Callback routines and Action Procs  *********************/

/* None */
